@ECHO ON

SET HERE=%~dp0%\..

SetLocal

SET JAVA_OPTIONS=-Xms64m -Xmx1024m -DBATCH_LOG4J_FOLDER=%HERE%\logs -Dlog4j.conf.file=%HERE%\conf\log4j.xml -Dpool.conf.file=%HERE%\conf\mysql.properties -Dxemelios.resources.location=%HERE%\resources\

SET CP=
for %%F in (..\lib\*.jar) do @call CP.bat %%F
REM for %%F in (..\lib\*.jar) do echo %%F

start java %JAVA_OPTIONS% -cp %CP% fr.gouv.finances.dgfip.xemelios.batch.BatchRunner %HERE%\conf\batch-conf.xml %1

EndLocal